Skip to main content

0.015 credits per call

trace_replayBlockTransactions on Arbitrum: Replays every transaction in a block and returns the requested Parity-style traces.
trace_replayBlockTransactions requires archive depth. See the debug & trace matrix for Arbitrum archive coverage.

Endpoint

https://rpc.goldrushdata.com/v1/arbitrum-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
blockTagQUANTITY | TAGyesBlock number (hex) or block tag."0x14a3b8c"
traceTypesArray<String>yesTrace types to include. One or more of trace, vmTrace, stateDiff.["trace"]

Returns

Array<Object>: Array of replay results, one per transaction in the block. Each entry has {transactionHash, output, trace[], stateDiff?, vmTrace?}.
[{"transactionHash":"0x88df0164...","output":"0x","trace":[{"action":{"from":"0x...","to":"0x..."},"type":"call"}]}]

Examples

curl https://rpc.goldrushdata.com/v1/arbitrum-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "trace_replayBlockTransactions",
    "params": ["0x14a3b8c", ["trace"]]
  }'
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/arbitrum-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("trace_replayBlockTransactions", ["0x14a3b8c", ["trace"]]);
console.log(result);
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/arbitrum-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "trace_replayBlockTransactions",
  params: ["0x14a3b8c", ["trace"]],
});
console.log(result);
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "trace_replayBlockTransactions",
  params: ["0x14a3b8c", ["trace"]],
});
console.log(result);
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("trace_replayBlockTransactions", ["0x14a3b8c", ["trace"]])
print(result)

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on